Create Shared Subnet
Create a new Shared Subnet assignment
Create a new Shared Subnet assignment to the Regional Networking Setting.
Request
URI
POST
https://{api_host}/cloudapi/v1/regionalNetworkingSettings/{settingId}/sharedSubnets
COPY
Path Parameters
string
settingId
Required
settingId
Request Body
RegionalSharedSubnet
of type(s)
application/json
Required
This request body class requires all of the following:
NetworkingEntityStatus
,
InlineRegionalSharedSubnet1
{
"status": "string",
"id": "string",
"subnetRef": {
"name": "string",
"id": "string"
},
"name": "string",
"vlanId": 0
}
Responses
202
The request have been accepted and the task to monitor the request is in the Location header.
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/v1/regionalNetworkingSettings/{settingId}/sharedSubnets
Availability
Added in 9.1.0
On This Page
Shared Subnets Operations
GET
Get Shared Subnets
POST
Create Shared Subnet
GET
Get Shared Subnet
PUT
Update Shared Subnet
DELETE
Delete Shared Subnet